Bug 8867 - ARP crossover &/| zombie ethx interfaces
ARP crossover &/| zombie ethx interfaces
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-25 13:49 EST by Stig Hackvan
Modified: 2007-04-18 12:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stig Hackvan 2000-01-25 13:49:01 EST
observed behavior:

"gateway"                   "middleman"
10.1.1.1 <---- net0 ----> 10.1.1.2 (eth0)                   "victim"
                         (eth1) 10.1.1.1 <----- net1 -----> 10.1.1.3

if "victim" is moved from net1 to net0, then "middleman" still responds to
arps for 10.1.1.1 (even _after_ 'ifconfig eth1 down') and so it's
impossible for "victim" to reach "gateway" because it's getting bogus arp
responses...

BUGS:

1. "middleman" is only 10.1.1.1 on net1.
   it should _never_ respond to 10.1.1.1 arps on net0.

   - "middleman" kernel: 2.2.14 + ide>32gb patches

2. 'ifconfig eth1 down' doesn't work properly.

   - "middleman" kernel: 2.2.14 + ide>32gb patches

   same behavior observed on "victim" 2.2.12-20 kernel
Comment 1 Stephen John Smoogen 2003-01-24 11:16:39 EST
Does this network problem still occur in the latest 2.4.x kernels or the 2.2.22
kernels for Red Hat Linux 6.2. 

[PS I have not been able to duplicate this, but my home lab environment is not
extensive.]
Comment 2 Jay Turner 2003-04-14 14:01:36 EDT
Closing out due to bit-rot.
Comment 3 Stig Hackvan 2003-04-15 17:07:25 EDT
the original trouble report contained the wrong release info.  the behavior was
observed on a 7.3 system and i don't have the facilities to do further testing
on it.  i recommend trying again on 7.3 and then ditching the report if you
can't reproduce it.

-- stig
Comment 4 Bugzilla owner 2004-09-30 11:38:46 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.